#!/bin/bash
%define xfontdir_       %{_datadir}/fonts/ko
%define xfontdir        %{xfontdir_}/TrueType
%define	gslibdir	%{_datadir}/ghostscript/%(echo `gs --version`)/lib
%define	gsver		7.05

Summary: 	Baekmuk Korean TrueType Fonts
Name:           ttfonts-ko
Version:        1.0.11
Release: 32.2
License:        Distributable
Group: 		User Interface/X
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
BuildRequires:	ghostscript >= %{gsver}

Source0:        ftp://ftp.mizi.com/pub/baekmuk/baekmuk-ttf-2.1.tar.gz
Source1:        ftp://ftp.mizi.com/pub/baekmuk/baekmuk-doc-2.1.tar.gz
Source4:        baekmuk-2.1.tar.gz
Source5:	CIDFnmap.ko

Requires:       ttmkfdir >= 3.0.6
PreReq:         /usr/X11R6/bin/mkfontdir, /usr/sbin/chkfontpath, /usr/bin/ttmkfdir
Prereq:         fontconfig

%description
This package provides Baekmuk Korean TrueType fonts.

%prep
%setup -T -c -a 0 -a 4

%build
mkdir -p %{name}-%{PACKAGE_VERSION}/doc/ttfonts-ko

for file in *.bdf; do
  fontname=`basename $file .bdf`
  bdftopcf $file > $fontname.pcf
done

for file in *.pcf; do
  gzip $file
done

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{xfontdir}
install -m 0644 *.ttf $RPM_BUILD_ROOT%{xfontdir}/

mkdir -p $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/ttfonts-ko
tar xzvf %{SOURCE1} -C $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/ttfonts-ko

# Bitmap
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/korean
install -m444 *.pcf.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/korean
install -m444 fonts.alias $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/korean/ttfonts\-ko.alias
/usr/X11R6/bin/mkfontdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/korean/

# for ghostscript
install -d $RPM_BUILD_ROOT%{gslibdir}
install -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{gslibdir}/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
{
  touch %{xfontdir} 2> /dev/null && {
    /usr/bin/ttmkfdir -d %{xfontdir} -o %{xfontdir}/fonts.scale
    /usr/X11R6/bin/mkfontdir %{xfontdir}
    /usr/sbin/chkfontpath -q -a %{xfontdir}
  }
  /usr/sbin/chkfontpath -qfa /usr/X11R6/lib/X11/fonts/korean

  #Update Gnome Fonts
  touch %{_sysconfdir} 2> /dev/null && {
    if [ -x /usr/bin/update-gnome-font-install ]; then
      /usr/bin/update-gnome-font-install
    fi
    if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
      /usr/bin/redhat-update-gnome-font-install2
    fi
  }

  #Update fontconfig cache
  [ -x /usr/bin/fc-cache ] && HOME=/root /usr/bin/fc-cache %{xfontdir} 2> /dev/null
}

%postun
{
  touch %{xfontdir} 2> /dev/null && {
    /usr/bin/ttmkfdir -d %{xfontdir} -o %{xfontdir}/fonts.scale
    /usr/X11R6/bin/mkfontdir %{xfontdir}
  }
  if [ "$1" = 0 ]; then
    /usr/sbin/chkfontpath -q -r %{xfontdir}
    touch %{_sysconfdir} 2> /dev/null && {
      #Update Gnome Fonts
      if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
          /usr/bin/redhat-update-gnome-font-install
      fi
      if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
          /usr/bin/redhat-update-gnome-font-install2
      fi
    }

    #Update fontconfig cache
    [ -x /usr/bin/fc-cache ] && HOME=/root /usr/bin/fc-cache %{xfontdir} 2> /dev/null
  fi
}

%files
%defattr(-, root, root)
%doc $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/
%attr(0755, root, root) %dir %{xfontdir_}
%attr(0755, root, root) %dir %{xfontdir}
%{xfontdir}/*.ttf
/usr/X11R6/lib/X11/fonts/korean/*
%{gslibdir}/CIDFnmap.ko

%changelog
* Tue Sep 28 2004 Lawrence Lim <llim@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Akira TAGOH <tagoh@redhat.com> 1.0.11-32
- removed default*.font because it's no longer used.
- fixed %%post and %%postun to check real writable for nfs mount.

* Wed Jul 09 2003 David Joo <djoo@redhat.com> 1.0.11-30
-rebuilt for RHEL

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 1.0.11-29
- rebuild with new ghostscript

* Thu Apr 10 2003 Akira TAGOH <tagoh@redhat.com> 1.0.11-28
- rebuild to install CIDFnmap to libdir of ghostscript 7.06.

* Tue Apr 01 2003 Akira TAGOH <tagoh@redhat.com> 1.0.11-27
- add CIDFnmap for ghostscript.

* Wed Feb 05 2003 David Joo <djoo@redhat.com>
- Font path has been added for BDF fonts

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 22 2003 David Joo <djoo@redhat.com>
- Spec file updated to the template
- fonts.scale, fonts.alias clean up

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- rebuild in current collection instance

* Mon Sep 02 2002 David Joo <djoo@redhat.com> 1.0.11-21
- Updated to Beakmuk 2.1

* Fri Aug 30 2002 Alexander Larsson <alexl@redhat.com> 1.0.11-18
- Call fc-cache from %%post

* Fri Jul 26 2002 David Joo <djoo@redhat.com>
- Post Script has been added for Gnome2

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Feb  3 2002 Mike A. Harris <mharris@redhat.com> 1.0.11-13
- Added } to post script, bumped and rebuilt

* Sun Feb  3 2002 Mike A. Harris <mharris@redhat.com> 1.0.11-12
- Added -d command line arg to ttmkfdir in post script

* Sun Feb  3 2002 Mike A. Harris <mharris@redhat.com> 1.0.11-11
- I suck.  s#/usr/bin/chkfontpath#/usr/sbin/chkfontpath#

* Sun Feb  3 2002 Mike A. Harris <mharris@redhat.com> 1.0.11-10
- change prereq chkfontpath to /usr/bin/chkfontpath
- do not include a premade broken fonts.scale, generate it in post with
  ttmkfdir.  The xfs initscript will overwrite any fonts.scale files when
  it starts up anyway.

* Sat Feb  2 2002 Tim Powers <timp@redhat.com> 1.0.11-9
- change req to require /usr/X11R6/bin/mkfontdir instead of
  XFree86-font-utils

* Sat Feb  2 2002 Tim Powers <timp@redhat.com> 1.0.11-8
- change install requirement from mkfontdir to XFree86-font-utils

* Fri Feb  1 2002 Mike A. Harris <mharris@redhat.com> 1.0.11-7
- Added mkfontdir as a Prereq as it is used in the scripts
- Removed invalid usage of $RPM_BUILD_ROOT from post script

* Thu Jan 31 2002 Paul Gampe <pgampe@redhat.com>
- fix spec file pre/post handling

* Thu Jan 31 2002 David Joo <djoo@redhat.com>
- Rebuilt against RHL 8.0

* Fri Oct 10 2001 David Joo <djoo@redhat.com>
- repakaged font with right character sets (#53798)
- temp file creation protocol has been changed

* Tue Sep  4 2001 Bill Nottingham <notting@redhat.com>
- run chkfontpath *after* making fonts.dir/fonts.alias

* Thu Aug 30 2001 Leon Ho <llch@redhat.com>
- corrected when using for net shared env (#52743)

* Fri Aug 24 2001 Yukihiro Nakai <ynakai@redhat.com>
- Make korean directory to prevent mkfontdir confusing problem.

* Fri Aug 24 2001 Leon Ho <llch@redhat.com>
- Modify baekmuk bdfs to diff name to prevent crashes

* Thu Aug  9 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add baekmuk bitmap font

* Tue Jul 24 2001 Akira TAGOH <tagoh@redhat.com> 1.0-4
- added default font for Nautilus.

* Wed Jul  4 2001 Akira TAGOH <tagoh@redhat.com> 1.0-3
- added iso8859-1 entry in fonts.scale.

* Wed Jul  4 2001 Akira TAGOH <tagoh@redhat.com> 1.0-2
- added fonts.scale file.

* Mon Jun 25 2001 Yukihiro Nakai <ynakai@redhat.com>
- Initial release.

